be.cin.mycarenet._1_0.carenet.types

## Class ObjectFactory

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.cin.mycarenet._1_0.carenet.types package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.mycarenet._1_0.carenet.types

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXBElement<org.joda.time.DateTime>` | `createAdmissionDate(org.joda.time.DateTime value)` Create an instance of `JAXBElement``<``DateTime``>`
    `JAXBElement<String>` | `createAdmissionService(String value)` Create an instance of `JAXBElement``<``String``>`
    `CarePlaceType` | `createCarePlaceType()` Create an instance of `CarePlaceType`
    `JAXBElement<CareReceiverDetailType>` | `createCareReceiverDetail(CareReceiverDetailType value)` Create an instance of `JAXBElement``<``CareReceiverDetailType``>`
    `CareReceiverDetailType` | `createCareReceiverDetailType()` Create an instance of `CareReceiverDetailType`
    `CareReceiverId` | `createCareReceiverId()` Create an instance of `CareReceiverId`
    `CareReceiverStrictIdType` | `createCareReceiverStrictIdType()` Create an instance of `CareReceiverStrictIdType`
    `JAXBElement<String>` | `createCT1(String value)` Create an instance of `JAXBElement``<``String``>`
    `JAXBElement<String>` | `createCT2(String value)` Create an instance of `JAXBElement``<``String``>`
    `DecisionType` | `createDecisionType()` Create an instance of `DecisionType`
    `DementiaType` | `createDementiaType()` Create an instance of `DementiaType`
    `DetailsType` | `createDetailsType()` Create an instance of `DetailsType`
    `DetailType` | `createDetailType()` Create an instance of `DetailType`
    `ExtCareReceiverDetailType` | `createExtCareReceiverDetailType()` Create an instance of `ExtCareReceiverDetailType`
    `ExtCareReceiverStrictIdType` | `createExtCareReceiverStrictIdType()` Create an instance of `ExtCareReceiverStrictIdType`
    `GeneralSituation` | `createGeneralSituation()` Create an instance of `GeneralSituation`
    `JAXBElement<String>` | `createHospital(String value)` Create an instance of `JAXBElement``<``String``>`
    `Hospitalized` | `createHospitalized()` Create an instance of `Hospitalized`
    `JAXBElement<InsurabilityContactTypeType>` | `createInsurabilityContactType(InsurabilityContactTypeType value)` Create an instance of `JAXBElement``<``InsurabilityContactTypeType``>`
    `JAXBElement<org.joda.time.DateTime>` | `createInsurabilityDate(org.joda.time.DateTime value)` Create an instance of `JAXBElement``<``DateTime``>`
    `InsurabilityItem` | `createInsurabilityItem()` Create an instance of `InsurabilityItem`
    `InsurabilityList` | `createInsurabilityList()` Create an instance of `InsurabilityList`
    `JAXBElement<String>` | `createInsurabilityReference(String value)` Create an instance of `JAXBElement``<``String``>`
    `InsurabilityRequestDetail` | `createInsurabilityRequestDetail()` Create an instance of `InsurabilityRequestDetail`
    `InsurabilityRequestList` | `createInsurabilityRequestList()` Create an instance of `InsurabilityRequestList`
    `JAXBElement<InsurabilityRequestTypeType>` | `createInsurabilityRequestType(InsurabilityRequestTypeType value)` Create an instance of `JAXBElement``<``InsurabilityRequestTypeType``>`
    `InsurabilityResponseDetail` | `createInsurabilityResponseDetail()` Create an instance of `InsurabilityResponseDetail`
    `InsurabilityResponseList` | `createInsurabilityResponseList()` Create an instance of `InsurabilityResponseList`
    `JAXBElement<String>` | `createInsuranceOrg(String value)` Create an instance of `JAXBElement``<``String``>`
    `KatzType` | `createKatzType()` Create an instance of `KatzType`
    `JAXBElement<PeriodType>` | `createKineContract(PeriodType value)` Create an instance of `JAXBElement``<``PeriodType``>`
    `JAXBElement<XMLGregorianCalendar>` | `createMaxInvoiced(XMLGregorianCalendar value)` Create an instance of `JAXBElement``<``XMLGregorianCalendar``>`
    `MedAdminRequestList` | `createMedAdminRequestList()` Create an instance of `MedAdminRequestList`
    `MedAdminResponseList` | `createMedAdminResponseList()` Create an instance of `MedAdminResponseList`
    `JAXBElement<PeriodType>` | `createMedicalContract(PeriodType value)` Create an instance of `JAXBElement``<``PeriodType``>`
    `MedicalHouseType` | `createMedicalHouseType()` Create an instance of `MedicalHouseType`
    `MessageFaultType` | `createMessageFaultType()` Create an instance of `MessageFaultType`
    `MessageType` | `createMessageType()` Create an instance of `MessageType`
    `MultiIOType` | `createMultiIOType()` Create an instance of `MultiIOType`
    `JAXBElement<PeriodType>` | `createNurseContract(PeriodType value)` Create an instance of `JAXBElement``<``PeriodType``>`
    `NurseContractualCareDetailType` | `createNurseContractualCareDetailType()` Create an instance of `NurseContractualCareDetailType`
    `NurseContractualCareRequestDetail` | `createNurseContractualCareRequestDetail()` Create an instance of `NurseContractualCareRequestDetail`
    `NurseContractualCareResponseDetail` | `createNurseContractualCareResponseDetail()` Create an instance of `NurseContractualCareResponseDetail`
    `NurseContractualCareUpdateDetail` | `createNurseContractualCareUpdateDetail()` Create an instance of `NurseContractualCareUpdateDetail`
    `JAXBElement<byte[]>` | `createOriginalDetailFile(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`
    `PalliativeCareCareProviderType` | `createPalliativeCareCareProviderType()` Create an instance of `PalliativeCareCareProviderType`
    `PalliativeCareDetail` | `createPalliativeCareDetail()` Create an instance of `PalliativeCareDetail`
    `PalliativeCareGroupType` | `createPalliativeCareGroupType()` Create an instance of `PalliativeCareGroupType`
    `PalliativeCareResponseDetail` | `createPalliativeCareResponseDetail()` Create an instance of `PalliativeCareResponseDetail`
    `Payment` | `createPayment()` Create an instance of `Payment`
    `JAXBElement<String>` | `createPaymentApproval(String value)` Create an instance of `JAXBElement``<``String``>`
    `JAXBElement<Boolean>` | `createPaymentByIo(Boolean value)` Create an instance of `JAXBElement``<``Boolean``>`
    `PeriodLength` | `createPeriodLength()` Create an instance of `PeriodLength`
    `PeriodLengthType` | `createPeriodLengthType()` Create an instance of `PeriodLengthType`
    `PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
    `ResponseDetailType` | `createResponseDetailType()` Create an instance of `ResponseDetailType`
    `SingleInsurabilityRequest` | `createSingleInsurabilityRequest()` Create an instance of `SingleInsurabilityRequest`
    `SingleInsurabilityResponse` | `createSingleInsurabilityResponse()` Create an instance of `SingleInsurabilityResponse`
    `SingleNurseContractualCareRequest` | `createSingleNurseContractualCareRequest()` Create an instance of `SingleNurseContractualCareRequest`
    `SingleNurseContractualCareResponse` | `createSingleNurseContractualCareResponse()` Create an instance of `SingleNurseContractualCareResponse`
    `SingleNurseContractualCareUpdate` | `createSingleNurseContractualCareUpdate()` Create an instance of `SingleNurseContractualCareUpdate`
    `SinglePalliativeCareRequest` | `createSinglePalliativeCareRequest()` Create an instance of `SinglePalliativeCareRequest`
    `SinglePalliativeCareResponse` | `createSinglePalliativeCareResponse()` Create an instance of `SinglePalliativeCareResponse`
    `SingleSpecificTechnicalCareRequest` | `createSingleSpecificTechnicalCareRequest()` Create an instance of `SingleSpecificTechnicalCareRequest`
    `SingleSpecificTechnicalCareResponse` | `createSingleSpecificTechnicalCareResponse()` Create an instance of `SingleSpecificTechnicalCareResponse`
    `JAXBElement<Boolean>` | `createSpecialSocialCategory(Boolean value)` Create an instance of `JAXBElement``<``Boolean``>`
    `SpecificTechnicalCareDetail` | `createSpecificTechnicalCareDetail()` Create an instance of `SpecificTechnicalCareDetail`
    `SpecificTechnicalCareTreatmentType` | `createSpecificTechnicalCareTreatmentType()` Create an instance of `SpecificTechnicalCareTreatmentType`
    `SpecificTechnicalResponseCareDetail` | `createSpecificTechnicalResponseCareDetail()` Create an instance of `SpecificTechnicalResponseCareDetail`
    `ToiletsType` | `createToiletsType()` Create an instance of `ToiletsType`
    `Transfer` | `createTransfer()` Create an instance of `Transfer`
    `JAXBElement<org.joda.time.DateTime>` | `createTransferDate(org.joda.time.DateTime value)` Create an instance of `JAXBElement``<``DateTime``>`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.mycarenet._1_0.carenet.types

  - ### Method Detail

    - #### createInsurabilityRequestList

          public InsurabilityRequestList createInsurabilityRequestList()

      Create an instance of `InsurabilityRequestList`

    - #### createSingleInsurabilityRequest

          public SingleInsurabilityRequest createSingleInsurabilityRequest()

      Create an instance of `SingleInsurabilityRequest`

    - #### createCareReceiverId

          public CareReceiverId createCareReceiverId()

      Create an instance of `CareReceiverId`

    - #### createInsurabilityRequestDetail

          public InsurabilityRequestDetail createInsurabilityRequestDetail()

      Create an instance of `InsurabilityRequestDetail`

    - #### createPeriodType

          public PeriodType createPeriodType()

      Create an instance of `PeriodType`

    - #### createInsurabilityResponseList

          public InsurabilityResponseList createInsurabilityResponseList()

      Create an instance of `InsurabilityResponseList`

    - #### createSingleInsurabilityResponse

          public SingleInsurabilityResponse createSingleInsurabilityResponse()

      Create an instance of `SingleInsurabilityResponse`

    - #### createCareReceiverDetailType

          public CareReceiverDetailType createCareReceiverDetailType()

      Create an instance of `CareReceiverDetailType`

    - #### createInsurabilityResponseDetail

          public InsurabilityResponseDetail createInsurabilityResponseDetail()

      Create an instance of `InsurabilityResponseDetail`

    - #### createGeneralSituation

          public GeneralSituation createGeneralSituation()

      Create an instance of `GeneralSituation`

    - #### createTransfer

          public Transfer createTransfer()

      Create an instance of `Transfer`

    - #### createPayment

          public Payment createPayment()

      Create an instance of `Payment`

    - #### createHospitalized

          public Hospitalized createHospitalized()

      Create an instance of `Hospitalized`

    - #### createMedicalHouseType

          public MedicalHouseType createMedicalHouseType()

      Create an instance of `MedicalHouseType`

    - #### createInsurabilityList

          public InsurabilityList createInsurabilityList()

      Create an instance of `InsurabilityList`

    - #### createInsurabilityItem

          public InsurabilityItem createInsurabilityItem()

      Create an instance of `InsurabilityItem`

    - #### createMessageFaultType

          public MessageFaultType createMessageFaultType()

      Create an instance of `MessageFaultType`

    - #### createMedAdminRequestList

          public MedAdminRequestList createMedAdminRequestList()

      Create an instance of `MedAdminRequestList`

    - #### createSingleNurseContractualCareRequest

          public SingleNurseContractualCareRequest createSingleNurseContractualCareRequest()

      Create an instance of `SingleNurseContractualCareRequest`

    - #### createExtCareReceiverStrictIdType

          public ExtCareReceiverStrictIdType createExtCareReceiverStrictIdType()

      Create an instance of `ExtCareReceiverStrictIdType`

    - #### createNurseContractualCareRequestDetail

          public NurseContractualCareRequestDetail createNurseContractualCareRequestDetail()

      Create an instance of `NurseContractualCareRequestDetail`

    - #### createNurseContractualCareDetailType

          public NurseContractualCareDetailType createNurseContractualCareDetailType()

      Create an instance of `NurseContractualCareDetailType`

    - #### createSinglePalliativeCareRequest

          public SinglePalliativeCareRequest createSinglePalliativeCareRequest()

      Create an instance of `SinglePalliativeCareRequest`

    - #### createPalliativeCareDetail

          public PalliativeCareDetail createPalliativeCareDetail()

      Create an instance of `PalliativeCareDetail`

    - #### createPalliativeCareGroupType

          public PalliativeCareGroupType createPalliativeCareGroupType()

      Create an instance of `PalliativeCareGroupType`

    - #### createPalliativeCareCareProviderType

          public PalliativeCareCareProviderType createPalliativeCareCareProviderType()

      Create an instance of `PalliativeCareCareProviderType`

    - #### createSingleSpecificTechnicalCareRequest

          public SingleSpecificTechnicalCareRequest createSingleSpecificTechnicalCareRequest()

      Create an instance of `SingleSpecificTechnicalCareRequest`

    - #### createSpecificTechnicalCareDetail

          public SpecificTechnicalCareDetail createSpecificTechnicalCareDetail()

      Create an instance of `SpecificTechnicalCareDetail`

    - #### createMedAdminResponseList

          public MedAdminResponseList createMedAdminResponseList()

      Create an instance of `MedAdminResponseList`

    - #### createSingleNurseContractualCareResponse

          public SingleNurseContractualCareResponse createSingleNurseContractualCareResponse()

      Create an instance of `SingleNurseContractualCareResponse`

    - #### createExtCareReceiverDetailType

          public ExtCareReceiverDetailType createExtCareReceiverDetailType()

      Create an instance of `ExtCareReceiverDetailType`

    - #### createNurseContractualCareResponseDetail

          public NurseContractualCareResponseDetail createNurseContractualCareResponseDetail()

      Create an instance of `NurseContractualCareResponseDetail`

    - #### createDecisionType

          public DecisionType createDecisionType()

      Create an instance of `DecisionType`

    - #### createSingleNurseContractualCareUpdate

          public SingleNurseContractualCareUpdate createSingleNurseContractualCareUpdate()

      Create an instance of `SingleNurseContractualCareUpdate`

    - #### createNurseContractualCareUpdateDetail

          public NurseContractualCareUpdateDetail createNurseContractualCareUpdateDetail()

      Create an instance of `NurseContractualCareUpdateDetail`

    - #### createSinglePalliativeCareResponse

          public SinglePalliativeCareResponse createSinglePalliativeCareResponse()

      Create an instance of `SinglePalliativeCareResponse`

    - #### createPalliativeCareResponseDetail

          public PalliativeCareResponseDetail createPalliativeCareResponseDetail()

      Create an instance of `PalliativeCareResponseDetail`

    - #### createSingleSpecificTechnicalCareResponse

          public SingleSpecificTechnicalCareResponse createSingleSpecificTechnicalCareResponse()

      Create an instance of `SingleSpecificTechnicalCareResponse`

    - #### createSpecificTechnicalResponseCareDetail

          public SpecificTechnicalResponseCareDetail createSpecificTechnicalResponseCareDetail()

      Create an instance of `SpecificTechnicalResponseCareDetail`

    - #### createCareReceiverStrictIdType

          public CareReceiverStrictIdType createCareReceiverStrictIdType()

      Create an instance of `CareReceiverStrictIdType`

    - #### createPeriodLengthType

          public PeriodLengthType createPeriodLengthType()

      Create an instance of `PeriodLengthType`

    - #### createMessageType

          public MessageType createMessageType()

      Create an instance of `MessageType`

    - #### createDetailsType

          public DetailsType createDetailsType()

      Create an instance of `DetailsType`

    - #### createDetailType

          public DetailType createDetailType()

      Create an instance of `DetailType`

    - #### createMultiIOType

          public MultiIOType createMultiIOType()

      Create an instance of `MultiIOType`

    - #### createToiletsType

          public ToiletsType createToiletsType()

      Create an instance of `ToiletsType`

    - #### createDementiaType

          public DementiaType createDementiaType()

      Create an instance of `DementiaType`

    - #### createKatzType

          public KatzType createKatzType()

      Create an instance of `KatzType`

    - #### createCarePlaceType

          public CarePlaceType createCarePlaceType()

      Create an instance of `CarePlaceType`

    - #### createSpecificTechnicalCareTreatmentType

          public SpecificTechnicalCareTreatmentType createSpecificTechnicalCareTreatmentType()

      Create an instance of `SpecificTechnicalCareTreatmentType`

    - #### createResponseDetailType

          public ResponseDetailType createResponseDetailType()

      Create an instance of `ResponseDetailType`

    - #### createPeriodLength

          public PeriodLength createPeriodLength()

      Create an instance of `PeriodLength`

    - #### createInsurabilityRequestType

          public JAXBElement<InsurabilityRequestTypeType> createInsurabilityRequestType(InsurabilityRequestTypeType value)

      Create an instance of `JAXBElement``<``InsurabilityRequestTypeType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``InsurabilityRequestTypeType``>`

    - #### createInsurabilityContactType

          public JAXBElement<InsurabilityContactTypeType> createInsurabilityContactType(InsurabilityContactTypeType value)

      Create an instance of `JAXBElement``<``InsurabilityContactTypeType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``InsurabilityContactTypeType``>`

    - #### createInsurabilityReference

          public JAXBElement<String> createInsurabilityReference(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createCareReceiverDetail

          public JAXBElement<CareReceiverDetailType> createCareReceiverDetail(CareReceiverDetailType value)

      Create an instance of `JAXBElement``<``CareReceiverDetailType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``CareReceiverDetailType``>`

    - #### createInsuranceOrg

          public JAXBElement<String> createInsuranceOrg(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createTransferDate

          public JAXBElement<org.joda.time.DateTime> createTransferDate(org.joda.time.DateTime value)

      Create an instance of `JAXBElement``<``DateTime``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``DateTime``>`

    - #### createPaymentByIo

          public JAXBElement<Boolean> createPaymentByIo(Boolean value)

      Create an instance of `JAXBElement``<``Boolean``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``Boolean``>`

    - #### createMaxInvoiced

          public JAXBElement<XMLGregorianCalendar> createMaxInvoiced(XMLGregorianCalendar value)

      Create an instance of `JAXBElement``<``XMLGregorianCalendar``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``XMLGregorianCalendar``>`

    - #### createSpecialSocialCategory

          public JAXBElement<Boolean> createSpecialSocialCategory(Boolean value)

      Create an instance of `JAXBElement``<``Boolean``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``Boolean``>`

    - #### createHospital

          public JAXBElement<String> createHospital(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createAdmissionDate

          public JAXBElement<org.joda.time.DateTime> createAdmissionDate(org.joda.time.DateTime value)

      Create an instance of `JAXBElement``<``DateTime``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``DateTime``>`

    - #### createAdmissionService

          public JAXBElement<String> createAdmissionService(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createCT1

          public JAXBElement<String> createCT1(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createCT2

          public JAXBElement<String> createCT2(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createPaymentApproval

          public JAXBElement<String> createPaymentApproval(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createInsurabilityDate

          public JAXBElement<org.joda.time.DateTime> createInsurabilityDate(org.joda.time.DateTime value)

      Create an instance of `JAXBElement``<``DateTime``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``DateTime``>`

    - #### createMedicalContract

          public JAXBElement<PeriodType> createMedicalContract(PeriodType value)

      Create an instance of `JAXBElement``<``PeriodType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``PeriodType``>`

    - #### createKineContract

          public JAXBElement<PeriodType> createKineContract(PeriodType value)

      Create an instance of `JAXBElement``<``PeriodType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``PeriodType``>`

    - #### createNurseContract

          public JAXBElement<PeriodType> createNurseContract(PeriodType value)

      Create an instance of `JAXBElement``<``PeriodType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``PeriodType``>`

    - #### createOriginalDetailFile

          public JAXBElement<byte[]> createOriginalDetailFile(byte[] value)

      Create an instance of `JAXBElement``<``byte[]``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``byte[]``>`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.